Package org.springframework.security.web.server.authentication

# Class DelegatingServerAuthenticationConverter

java.lang.Object
org.springframework.security.web.server.authentication.DelegatingServerAuthenticationConverter

All Implemented Interfaces:
  `ServerAuthenticationConverter`

public final class DelegatingServerAuthenticationConverter extends Object implements ServerAuthenticationConverter
A `ServerAuthenticationConverter` that delegates to other `ServerAuthenticationConverter` instances.

Since:
  6.3

## Constructor Summary

Constructors
Constructor
Description
`DelegatingServerAuthenticationConverter(List<ServerAuthenticationConverter> converters)`
`DelegatingServerAuthenticationConverter(ServerAuthenticationConverter... converters)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.Authentication>`
`convert(org.springframework.web.server.ServerWebExchange exchange)`
Converts a `ServerWebExchange` to an `Authentication`
`void`
`setContinueOnError(boolean continueOnError)`
Continue iterating when a delegate errors, defaults to `false`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingServerAuthenticationConverter

public DelegatingServerAuthenticationConverter(ServerAuthenticationConverter... converters)

### DelegatingServerAuthenticationConverter

public DelegatingServerAuthenticationConverter(List<ServerAuthenticationConverter> converters)

## Method Details

### convert

public reactor.core.publisher.Mono<org.springframework.security.core.Authentication> convert(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerAuthenticationConverter`
Converts a `ServerWebExchange` to an `Authentication`

Specified by:
  `convert` in interface `ServerAuthenticationConverter`
Parameters:
  `exchange` - The `ServerWebExchange`
Returns:
  A `Mono` representing an `Authentication`

### setContinueOnError

public void setContinueOnError(boolean continueOnError)
Continue iterating when a delegate errors, defaults to `false`

Parameters:
  `continueOnError` - whether to continue when a delegate errors
Since:
  6.3